Vulnérabilités dans Dovecot

Plusieurs vulnérabilités ont été découvertes dans Dovecot, un serveur IMAP pour systèmes Linux. Elles peuvent permettre à un attaquant de provoquer un déni de service.

CVE-2020-12100 [Score CVSS v3 : 7.5] : Une vulnérabilité de type “récursion non contrôlée” a été découverte dans Dovecot. Un attaquant peut exploiter cette vulnérabilité afin de provoquer un déni de service via un mail spécialement conçu.

CVE-2020-12673 [Score CVSS v3 : 7.5] : Une vulnérabilité de type “lecture hors-limites” a été découverte dans Dovecot. Un attaquant peut exploiter cette vulnérabilité afin de provoquer un plantage du service d’authentification via une requête NTLM spécialement conçue.

CVE-2020-12674 [Score CVSS v3 : 7.5] : Une vulnérabilité de type “lecture hors-limites” a été découverte dans Dovecot. Un attaquant peut exploiter cette vulnérabilité afin de provoquer un plantage du service d’authentification via une requête RPA spécialement conçue.

Informations
+

Risques

  • Déni de service

Criticité

  • Score CVSS v3 : 7.5

Existence d’un code d’exploitation

  • Des codes d’exploitation sont disponibles pour les 3 vulnérabilités

Composants vulnérables

  • Dovecot toutes versions avant la 2.3.11.3

CVE

  • CVE-2020-12100

  • CVE-2020-12673

  • CVE-2020-12674


Recommandations
+

Mise en place de correctifs de sécurité

  • Mettre à jour Dovecot vers une version non vulnérable (2.3.11.3 ou supérieure)

Solution de contournement

  • Aucune solution de contournement